<?php 
/**
 * Createing an product banner pannel for customizer
 *
 */
// Product BANNER SECTION START HERE 
/*============pRODICT banner PANEL============*/
$wp_customize->add_section(
	'product_banner_section',
	array(
		'title'         => __( 'Product Banner Section', 'supermarket-ecommerce' ), 
		'panel'   => 'lz_fitness_premium_home_panel',
	)
);
// ENABLE/DISABLE product banner SECTION
$wp_customize->add_setting(
	'product_banner_section_disable',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default' => 'off'
	)
);
$wp_customize->add_control(
	new lz_fitness_Switch_Control(
		$wp_customize,
		'product_banner_section_disable',
		array(
			'settings'      => 'product_banner_section_disable',
			'section'       => 'product_banner_section',
			'label'         => __( 'Disable Section', 'supermarket-ecommerce' ), 
			'on_off_label'  => array(
				'on' => __( 'Yes', 'supermarket-ecommerce' ),
				'off' => __( 'No', 'supermarket-ecommerce' )
			)   
		)
	)
);

backgroundManager($wp_customize, 'productbanner', 'product_banner_section', $color='#f7f5f6', get_template_directory_uri().'/images/default-gray.png', 'img');


lzCustomLable($wp_customize, 'bannersection_padding', 'product_banner_section', ' Section Padding Setting:');

$wp_customize->add_setting(
    'productbanner_toppadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '2em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'productbanner_toppadding',
    array(
        'settings'      => 'productbanner_toppadding',
        'section'       => 'product_banner_section',
        'type'          => 'text',
        'label'         => __( 'Section Top Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'productbanner_bottompadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '2em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'productbanner_bottompadding',
    array(
        'settings'      => 'productbanner_bottompadding',
        'section'       => 'product_banner_section',
        'type'          => 'text',
        'label'         => __( 'Section Bottom Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'productbanner_leftpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'productbanner_leftpadding',
    array(
        'settings'      => 'productbanner_leftpadding',
        'section'       => 'product_banner_section',
        'type'          => 'text',
        'label'         => __( 'Section Left Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'productbanner_rightpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'productbanner_rightpadding',
    array(
        'settings'      => 'productbanner_rightpadding',
        'section'       => 'product_banner_section',
        'type'          => 'text',
        'label'         => __( 'Section Right Padding', 'luzuk-premium' )
    )
);




lzCustomLable($wp_customize, 'lz_fitness_probannerbg', 'product_banner_section', ' Product Inner Banner background Manager:');

backgroundManager($wp_customize, 'productbannerinnerbg', 'product_banner_section', $color='#fff', get_template_directory_uri().'/images/probannerbg.jpg', 'color');


  $wp_customize->add_setting(
        'lz_fitness_productbanner_title_heading',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Customize_Heading(
            $wp_customize,
            'lz_fitness_productbanner_title_heading',
            array(
                'settings'      => 'lz_fitness_productbanner_title_heading',
                'section'       => 'product_banner_section',
                'label'         => __( 'Title & Subtitle', 'supermarket-ecommerce' ),
            )
        )
    );    
    $wp_customize->add_setting(
        'lz_fitness_product_banner_title',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
            'default'           => __( 'HOME APPLIANCES', 'supermarket-ecommerce' )
        )
    );
    $wp_customize->add_control(
        'lz_fitness_product_banner_title',
        array(
            'settings'      => 'lz_fitness_product_banner_title',
            'section'       => 'product_banner_section',
            'type'          => 'text',
            'label'         => __( 'Title for section', 'supermarket-ecommerce' )
        )
    );

     // title color
    addColorPalatOption($wp_customize, 'lz_fitness_product_banner_titleColor', 'product_banner_section', 'Title color', '#000');

    lzAddElement($wp_customize, 'lz_fitness_product_banner_subTitle', 'product_banner_section', 'text', $label="Sub Title", 'lz_fitness_sanitize_text', 'STARTING AT $99');

       //sub title color
    addColorPalatOption($wp_customize, 'lz_fitness_product_banner_subtitleColor', 'product_banner_section', 'Sub title color', '#000');


lzCustomLable($wp_customize, 'lz_fitness_product_banner_lblbuttonabtdisplay', 'product_banner_section', 'Button Display & Text Setting:');
// to show & hide another button
$wp_customize->add_setting( 'probanner_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'probanner_button_display', array( 'label' => 'Button Display', 'section' => 'product_banner_section', 'settings' => 'probanner_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) ); 
// end to show & hide button
// appointment 
$wp_customize->add_setting(
    'lz_fitness_probanner_btntitle',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( 'SHOP NOW' )
    )
);
$wp_customize->add_control(
    'lz_fitness_probanner_btntitle',
    array(
        'settings'      => 'lz_fitness_probanner_btntitle',
        'section'       => 'product_banner_section',
        'type'          => 'text',
        'label'         => __( 'Button Text', 'supermarket-ecommerce' )
    )
);
$wp_customize->add_setting('lz_fitness_probanner_btnlink',   array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_probanner_btnlink',
    array(
        'settings'      => 'lz_fitness_probanner_btnlink',
        'section'       => 'product_banner_section',
        'type'          => 'url',
        'label'         => __( 'Add "Button" link here', 'supermarket-ecommerce' )
    )
);


     //button text color
    addColorPalatOption($wp_customize, 'lz_fitness_product_banner_btntextColor', 'product_banner_section', 'Button text color', '#000');

    //button bg color
    addColorPalatOption($wp_customize, 'lz_fitness_product_banner_btnbgColor', 'product_banner_section', 'Button background color', '#ffc801');

      //button text hover color
    addColorPalatOption($wp_customize, 'lz_fitness_product_banner_btntexthoverColor', 'product_banner_section', 'Button text hover color', '#fff');

    //button bg hover color
    addColorPalatOption($wp_customize, 'lz_fitness_product_banner_btnbghoverColor', 'product_banner_section', 'Button background hover color', '#605ca8');


$wp_customize->add_setting(
        'lz_fitness_probanner_image_heading',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Customize_Heading(
            $wp_customize,
            'lz_fitness_probanner_image_heading',
            array(
                'settings'      => 'lz_fitness_probanner_image_heading',
                'section'       => 'product_banner_section',
                'label'         => __( 'Right Image', 'supermarket-ecommerce' ),
            )
        )
    );

      $wp_customize->add_setting(
        'lz_fitness_probanner_image',
        array(
            'sanitize_callback' => 'esc_url_raw'
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'lz_fitness_probanner_image',
            array(
                'section' => 'product_banner_section',
                'settings' => 'lz_fitness_probanner_image',
                'description' => __('Recommended Image Size: 500X600px', 'supermarket-ecommerce')
            )
        )
    );
